Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.audit
Interface DefaultAuditorMBean

All Superinterfaces:
  weblogic.management.security.audit.AuditorMBean, weblogic.management.security.audit.ContextHandlerMBean, weblogic.descriptor.DescriptorBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface DefaultAuditorMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, weblogic.management.security.audit.AuditorMBean, weblogic.management.security.audit.ContextHandlerMBean

This MBean represents configuration information for the WebLogic Auditing provider.Deprecation of MBeanHome and Type-Safe InterfacesThis is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through weblogic.management.MBeanHome. As of 9.0, the MBeanHome interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the javax.management.MBeanServerConnection interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getDescription()` A short description of the WebLogic Auditing provider.
`String` | `getOutputMedium()` No description provided.
`String` | `getProviderClassName()` The Java class used to load the WebLogic Auditing provider.
`int` | `getRotationMinutes()` Specifies how many minutes to wait before creating a new DefaultAuditRecorder.log file.
`String` | `getSeverity()` The severity level at which auditing is initiated.
`String` | `getVersion()` The version number of the WebLogic Auditing provider.
`void` | `setOutputMedium(String newValue)` No description provided.
`void` | `setRotationMinutes(int newValue)` Specifies how many minutes to wait before creating a new DefaultAuditRecorder.log file.
`void` | `setSeverity(String newValue)` The severity level at which auditing is initiated.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm`

Methods inherited from interface weblogic.management.security.audit.ContextHandlerMBean
`getActiveContextHandlerEntries, setActiveContextHandlerEntries`

Method Detail

### getDescription

    public String getDescription()

  A short description of the WebLogic Auditing provider.

  Specified by:
    `getDescription` in interface `ProviderMBean`
  Default value:
    "WebLogic Auditing Provider"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getOutputMedium

    public String getOutputMedium()

  No description provided.

  A dynamic MBean attribute.
    false

### getProviderClassName

    public String getProviderClassName()

  The Java class used to load the WebLogic Auditing provider.

  Specified by:
    `getProviderClassName` in interface `ProviderMBean`
  Default value:
    "weblogic.security.providers.audit.DefaultAuditProviderImpl"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.
  Excluded: Should not appear in public javadocs
  Internal: Should not appear in public javadocs

### getRotationMinutes

    public int getRotationMinutes()

  Specifies how many minutes to wait before creating a new DefaultAuditRecorder.log file. At the specified time, the audit file is closed and a new one is created.

  Default value:
    1440
  Minimum value:
    1
  A dynamic MBean attribute.
    false

### getSeverity

    public String getSeverity()

  The severity level at which auditing is initiated. Severity levels are ranked in this order:INFORMATIONWARNINGERRORSUCCESSFAILUREIf you select a given severity level, all events of that level or more will be audited. For example, if you set the severity to ERROR, then all FAILURE, SUCCESS, and ERROR events will be audited, but WARNING and INFORMATION events will not. You can instead set the severity to CUSTOM and then enable the specific severity level events you want to audit.

  Default value:
    "ERROR"
  Legal values:
    "INFORMATION","WARNING","ERROR","SUCCESS","FAILURE","CUSTOM"
  A dynamic MBean attribute.
    true

### getVersion

    public String getVersion()

  The version number of the WebLogic Auditing provider.

  Specified by:
    `getVersion` in interface `ProviderMBean`
  Default value:
    "1.0"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### setOutputMedium

    public void setOutputMedium(String newValue)
                         throws InvalidAttributeValueException

  No description provided.

  Parameters:
    `newValue` - - new value for attribute OutputMedium
  Throws:
    `InvalidAttributeValueException`
  A dynamic MBean attribute.
    false

### setRotationMinutes

    public void setRotationMinutes(int newValue)
                            throws InvalidAttributeValueException

  Specifies how many minutes to wait before creating a new DefaultAuditRecorder.log file. At the specified time, the audit file is closed and a new one is created.

  Parameters:
    `newValue` - - new value for attribute RotationMinutes
  Throws:
    `InvalidAttributeValueException`
  Default value:
    1440
  Minimum value:
    1
  A dynamic MBean attribute.
    false

### setSeverity

    public void setSeverity(String newValue)
                     throws InvalidAttributeValueException

  The severity level at which auditing is initiated. Severity levels are ranked in this order:INFORMATIONWARNINGERRORSUCCESSFAILUREIf you select a given severity level, all events of that level or more will be audited. For example, if you set the severity to ERROR, then all FAILURE, SUCCESS, and ERROR events will be audited, but WARNING and INFORMATION events will not. You can instead set the severity to CUSTOM and then enable the specific severity level events you want to audit.

  Parameters:
    `newValue` - - new value for attribute Severity
  Throws:
    `InvalidAttributeValueException`
  Default value:
    "ERROR"
  Legal values:
    "INFORMATION","WARNING","ERROR","SUCCESS","FAILURE","CUSTOM"
  A dynamic MBean attribute.
    true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD